Attribute VB_Name = "Module7"
Private Declare Function ECF_CNPJMFD Lib "CONVECF.DLL" (ByVal CNPJ As String) As Integer
Private Declare Function ECF_InscricaoEstadualMFD Lib "CONVECF.DLL" (ByVal IE As String) As Integer
Private Declare Function ECF_NumeroCaixa Lib "CONVECF.DLL" (ByVal Caixa As String) As Integer
Private Declare Function ECF_SimboloMoeda Lib "CONVECF.DLL" (ByVal Moeda As String) As Integer
Private Declare Function ECF_ClicheProprietario Lib "CONVECF.DLL" (ByVal Cliche As String) As Integer

Function CNPJUsuario()
    Dim CNPJ As String
    
    CNPJ = Space(20)
    retorno = ECF_CNPJMFD(CNPJ)
    
    MsgBox " 'CNPJ do Usuário' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "CNPJ: " & CNPJ
    
End Function

Function IEUsuario()
    Dim IE As String
    
    IE = Space(20)
    retorno = ECF_InscricaoEstadualMFD(IE)
    
    MsgBox " 'I.E do Usuário' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "IE: " & IE
    
End Function

Function NumCaixa()
    Dim Caixa As String
    
    Caixa = Space(4)
    retorno = ECF_NumeroCaixa(Caixa)
    
    MsgBox " 'Nº do Caixa' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Nº do caixa: " & Caixa
End Function

Function SimboloMoeda()
    Dim Moeda As String
    
    Moeda = Space(2)
    retorno = ECF_SimboloMoeda(Moeda)
    
    MsgBox " 'Símbolo da Moeda' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Símbolo da Moeda: " & Moeda
End Function

Function ClicheProprietario()
    Dim Cliche As String, temp As String
    Dim pos As Integer, I As Integer
    
    Cliche = Space(420)
    retorno = ECF_ClicheProprietario(Cliche)
    MsgBox " 'Clichê' " & vbCrLf & "Status: " & retorno
    
    Form1.List1.AddItem ""
    Form1.List1.AddItem "Clichê: "
    
    pos = 1
    MsgBox Cliche, vbInformation, "C  L  I  C  H  Ê"
    I = 1
    Do While pos > 0
   
            pos = InStr(1, Cliche, Chr(13))     ' retirando caracteres de quebra de linha
            
            If pos > 0 Then
                  temp = Left(Cliche, pos - 1)
                  Cliche = Right(Cliche, Len(Cliche) - (pos + 1))
                  Form1.List1.AddItem "    Linha " & I & " : " & temp
                  I = I + 1
           End If
    Loop
    Form1.List1.AddItem "    Linha " & I & " : " & Cliche
End Function

